Qt 5.13 | Qt Network | C++ Classes | GeneratorParameters

Qt 5.13.2 Reference Documentation

# GeneratorParameters Struct

Struct GeneratorParameters is declared in class QDtlsClientVerifier.

This class defines parameters for DTLS cookie generator. More...

This struct was introduced in Qt 5.12.

- List of all members, including inherited members

## Public Functions

| GeneratorParameters(QCryptographicHash::Algorithm algorithm, const QByteArray &secret)
| GeneratorParameters()

## Detailed Description

An object of this class provides the parameters that QDtlsClientVerifier will use to generate DTLS cookies. They include a cryptographic hash algorithm and a secret.

Note: An empty secret is considered to be invalid by QDtlsClientVerifier::setCookieGeneratorParameters().

See also QDtlsClientVerifier::setCookieGeneratorParameters(), QDtlsClientVerifier::cookieGeneratorParameters(), QDtls::setCookieGeneratorParameters(), QDtls::cookieGeneratorParameters(), and QCryptographicHash::Algorithm.

## Member Function Documentation

### GeneratorParameters::GeneratorParameters(QCryptographicHash::Algorithm algorithm, const QByteArray &secret)

Constructs GeneratorParameters object from algorithm and secret.

See also QDtlsClientVerifier::setCookieGeneratorParameters(), QDtlsClientVerifier::cookieGeneratorParameters(), QDtls::setCookieGeneratorParameters(), and QDtls::cookieGeneratorParameters().

### GeneratorParameters::GeneratorParameters()

Default constructs GeneratorParameters object with QCryptographicHash::Sha1 as its algorithm and an empty secret.

See also QDtlsClientVerifier::setCookieGeneratorParameters(), QDtlsClientVerifier::cookieGeneratorParameters(), QDtls::setCookieGeneratorParameters(), and QDtls::cookieGeneratorParameters().